# -*- mode: python -*-
import netsvc
import pooler
import wizard
from osv import osv

def pay_n_check(self, cr, uid, data, context):
    pool = pooler.get_pool(cr.dbname)
    order = pool.get('pos.order').browse(cr, uid, data['id'], context)
    try:
        if order.payment_ids:
            order.button_ok_complex(cr, uid, data['ids'], context)
        else:
            order.button_ok_simple(cr, uid, data['ids'], context)
            pool.get('pos.payment').create(cr, uid, {'order_id': order.id,
             'journal_id': order.journal_id,
             'amount': order.amount_total})
    except osv.except_osv, e:
        raise wizard.except_wizard(e.name, e.value)
    return order.partner_id and 'invoice' or 'receipt'



def create_invoice(self, cr, uid, data, context):
    order = pooler.get_pool(cr.dbname).get('pos.order')
    try:
        inv_ids = order.create_invoice(cr, uid, data['ids'], context)
    except osv.except_osv, e:
        raise wizard.except_wizard(e.name, e.value)
    return {}


class pos_payment(wizard.interface,):
    states = {'init': {'actions': [],
              'result': {'type': 'choice',
                         'next_state': pay_n_check}},
     'invoice': {'actions': [create_invoice],
                 'result': {'type': 'print',
                            'report': 'pos.invoice',
                            'state': 'end'}},
     'receipt': {'actions': [],
                 'result': {'type': 'print',
                            'report': 'pos.receipt',
                            'state': 'end'}}}

pos_payment('pos.payment')

